<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block pagetitle %}
{{ page_title }}
{% endblock pagetitle%}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}
{% load humanize %}

<div class="row">
  <div class="col-md-10">
    <ul class="nav nav-tabs">
      <li role="presentation"><a href="{% url 'card_show' card.pk %}">{% trans "Card details" %}</a>
      </li>
      <li role="presentation" class="active"><a href="{% url 'card_history' card.pk %}">{% trans "History" %}</a>
      </li>
    </ul>
  </div>
</div>

<h3>{{ card.title }}</h3>


<div class="row">
  <div class="col-md-1">
    <span>
      <!-- Click to enlarge image. -->
      <a data-toggle="modal"
          data-target="#enlargeImageModal"
	  title="{% trans 'Enlarge image' %}">
        <img src="{{ card.img }}" style="max-height: 100px" class="img-responsive mouse-pointer"/>
                  </a>
                  </span>
                  </div>
                  <div class="col-md-11">
        <span id="time_series_data" style="display: none">
          {{ time_series_data }}
        </span>
        <div id="chart"> </div>
  </div>
</div>

<h3>{% trans "Total sells" %}: {{ sells_data.total_sells }}</h3>

<div class="row">

  <div class="col-md-3">
    <div>
    <h4>
      {% trans "Last sells" %}
    </h4>
    {% if  not sells_data.data %}
    <em>
      {% trans "This card has no registered sells." %}
    </em>
    {% endif %}
    <table class="table table-condensed table-striped">
      {% for sell in sells_data.data %}
      <tr>
        <td>{{ sell.created | date:"d N Y" }} {{ sell.created | time:"H:i" }}</td>
        <td>{{ sell.price_sold_fmt }}
          {% if  sell.quantity != 1 %}
          <span>&nbsp x {{ sell.quantity }}</span>
          {% endif %}
        </td>
      </tr>
      {% endfor %}
    </table>
    </div>

    <div>
      <h4>
        {% trans "Last sells" %} ({% trans "canceled" %})
      </h4>
      {% if  not canceled_sells %}
      <em>
        {% trans "no data" %}
      </em>
      {% endif %}
      <table class="table table-condensed table-striped">
        {% for sell in canceled_sells %}
        <tr>
          <td>{{ sell.created | date:"d N Y" }} {{ sell.created | time:"H:i" }}</td>
          <td> {% trans "canceled" %}
          </td>
        </td>
        </tr>
        {% endfor %}
      </table>
    </div>

  </div>

  <div class="col-md-3">
    <h4>
      {% trans "Last entries" %}</h4>
    {% if  not entries %}
    <div><em>
      {% trans "There is no other entries." %}</em>
    </div>
    {% endif %}
    <table class="table table-condensed table-striped">
      {% for it in entries %}
      <tr>
        <td>
	  {{ it.created | date:"d N Y" }} {{ it.created | time:"H:i" }}</td>
      </tr>
      {% endfor %}
    </table>
  </div>

  <div class="col-md-3">
    <h4>
      {% trans "Returns" as text_returns %}
      {% trans "Boxes" %} & {{ text_returns | lower }}
    </h4>
    {% if  not outs %}
    <div>
      <em>
	{% trans "no data." %}
      </em>
    </div>
    {% else %}

    <table class="table table-condensed table-striped">
      {% for it in outs %}
      <tr>
        <td>
	  {{ it.movement.created | date:"d N Y" }} {{ it.created | time:"H:i" }}
        </td>
        <td> x{{ it.quantity }} </td>
        <td>
          {% if it.movement.typ == 5 %}
          {% trans "Boxes" %}
          {% elif it.movement.typ == 2 %}
          {% trans "Returns" %}
          {% elif it.movement.typ == 6 %}
          {% trans "Institution" %}
          {% else %}
          {{ it.movement.typ }}
          {% endif %}
        </td>
      </tr>
      {% endfor %}
    </table>

    <!-- <div> {{ out.movement.created}}: x{{ out.quantity }} -
         {% if out.movement.basket %}
         {{ out.movement.basket }}
         {% endif %}
         {{ out.movement.distributor }}
         </div> -->
    {% endif %}
  </div>

  <div class="col-md-2">
    <div class="row">
      <h4>
	{% trans "Pending commands" %}</h4>
      {% if  not pending_commands %}
      <div><em>
	{% trans "There is no pending commands." %}</em>
      </div>
      {% else %}
      <table class="table table-condensed table-striped">
	{% for cmd in pending_commands %}
        <tr>
          <td>x{{ cmd.qty }} -</td>
          <td><a href="{{ cmd.command.get_absolute_url }}">
	    {{ cmd.command.title }}</a>
          </td>
          <td>
	    {{ cmd.command.created | date:"d N Y" }} {{ it.created | time:"Hi:i" }}</td>
        </tr>
	{% endfor %}
      </table>
      {% endif %}
    </div>

    <div class="row">
      <h4>
	{% trans "Last commands" %}
      </h4>
      {% if  not commands %}
      <div>
        <em>
	  {% trans "You did not receive parcels for this card." %}
        </em>
      </div>
      {% endif %}

      {% for cmd in commands %}
      <div>
        <a href="{{ cmd.command.get_absolute_url }}">
	  {{ cmd.command.date_received }}
        </a>
      </div>
      {% endfor %}
    </div>

  </div>
</div>

<!-- enlargeImageModal ci-dessous: -->
<div id="enlargeImageModal" class="modal">
  {% with object=card %}
  {% include "search/modale_enlarge_image.html" %}
  {% endwith %}
</div>

<script>

  let s = document.getElementById('time_series_data');
  let data = JSON.parse(s.textContent);

  var chart = c3.generate({
    height: 120,
    data: {
      type: 'bar',

      // What should represent the timeseries axis?
      // "date" is also set server side.
      x: 'date',
      // xFormat: '%Y%m%d', // 'xFormat' can be used as custom format of 'x'

      columns: [
        // ['x', '2013-01-01', '2013-01-02', '2013-01-03', '2013-01-04', '2014-01-05', '2015-01-06'],
        data.x,
        //['entrées', 3, 2, 1, 4, 1, 5],
        data.sells,
      ]
    },

    bar: {
      width: {
        ratio: 0.2 // this makes bar width this % of length between ticks.
        // The default seems to be 0.5
        // 0.2 is a good compromise: looks well with 200-ish sells, and ok with only a couple.
      }
      // or
      //width: 100 // this makes bar width 100px
    },

    axis: {
      x: {
        type: 'timeseries',
        tick: {
          format: '%Y-%m-%d'
        }
      }
    }
  });

  setTimeout(function () {
    chart.resize({height:120})
  }, 500);

</script>


{% endblock content %}
